Skip to main content
POST
/
invoices
/
{invoiceId}
/
items
API to create invoice item
curl --request POST \
  --url https://api.getenso.ai/invoices/{invoiceId}/items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "PlanItemId": "<unknown>",
  "description": "<unknown>",
  "title": "<unknown>",
  "quantity": "<unknown>",
  "price": "<unknown>",
  "fromDate": "<unknown>",
  "toDate": "<unknown>"
}
'
{
  "status": "success",
  "message": "Success",
  "data": {}
}
SystemUser permission: RevenueService:syncRevenueByInvoiceItem

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Path Parameters

invoiceId
string
required

Body

application/json
PlanItemId
any
description
any
title
any
quantity
any
price
any
fromDate
any
toDate
any

Response

Success

status
string
Example:

"success"

message
string
Example:

"Success"

data
object

Endpoint-specific payload (object, array, or null)